Binary files nakedmudv2.0/.DS_Store and nakedmudv2.1/.DS_Store differ
diff -crN nakedmudv2.0/lib/misc/help nakedmudv2.1/lib/misc/help
*** nakedmudv2.0/lib/misc/help	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/lib/misc/help	2010-11-01 15:54:18.000000000 -0500
***************
*** 47,53 ****
    backups  :=
      keywords : socials
      editor   : Alister
!     timestamp: Jan 29 18:52:49
      info     :~
        There are 9 fields assocciated with social editing; two are for messages when
        the social has no target. Two are for messages when the target is the character
--- 47,53 ----
    backups  :=
      keywords : socials
      editor   : Alister
!     timestamp: Jan 29 17:03:12
      info     :~
        There are 9 fields assocciated with social editing; two are for messages when
        the social has no target. Two are for messages when the target is the character
***************
*** 70,89 ****
        
        To see examples of how to write socials, check some of the pre-existing ones.
        To generate a list of all socials, type "socials".
-       
-       If you would like more than one command to trigger the same social, you can
-       link a new command to a pre-existing social. Likewise, if you would like to
-       disable a social command, that is possible too.
-       
-       Commands:
-         hlink [new command] [old command]
-         hunlink [command]
-         socedit [social]
-         socials
      -
      keywords : socials
      editor   : Alister
!     timestamp: Jan 29 17:03:12
      info     :~
        There are 9 fields assocciated with social editing; two are for messages when
        the social has no target. Two are for messages when the target is the character
--- 70,79 ----
        
        To see examples of how to write socials, check some of the pre-existing ones.
        To generate a list of all socials, type "socials".
      -
      keywords : socials
      editor   : Alister
!     timestamp: Jan 29 18:52:49
      info     :~
        There are 9 fields assocciated with social editing; two are for messages when
        the social has no target. Two are for messages when the target is the character
***************
*** 106,113 ****
--- 96,130 ----
        
        To see examples of how to write socials, check some of the pre-existing ones.
        To generate a list of all socials, type "socials".
+       
+       If you would like more than one command to trigger the same social, you can
+       link a new command to a pre-existing social. Likewise, if you would like to
+       disable a social command, that is possible too.
+       
+       Commands:
+         hlink [new command] [old command]
+         hunlink [command]
+         socedit [social]
+         socials
      -
    -
+   keywords : scrun
+   editor   : Alister
+   timestamp: Apr 17 02:02:39
+   info     :~
+     Scripts of type runnable can be triggered by immortals. This is done with the
+     scrun command.
+     
+     Syntax is: scrun <script vnum> [argument]
+   -
+   keywords : repeat
+   editor   : Alister
+   timestamp: Apr 17 02:01:17
+   info     :~
+     repeat can be used to execute a command multiple times.
+     
+     Syntax is: repeat <times> <command>
+   -
    keywords : MCCP
    editor   : Alister
    timestamp: Jan 29 18:14:22
***************
*** 246,251 ****
--- 263,281 ----
      All other OLC commands can set up new things (rooms, objects, mobiles, etc..)
      simply by using the corresponding edit command on a vnum that has not been used.
    -
+   keywords : delete, odelete, mdelete, rdelete, ddelete, scdelete
+   editor   : Alister
+   timestamp: Apr 17 01:59:17
+   info     :~
+     As a builder, you may at times create rooms, objects, mobiles, scripts,
+     etc... that you do not want to be part of your zone. You can delete these
+     things with the line of delete functions available. There should be one for
+     each major type of editable zone content. When deleting rooms, anyone in the
+     room will be removed from the game, and sockets will be disconnected.
+     
+     delete commands are: odelete, mdelete, rdelete, scdelete, and ddelete. Syntax
+     is as follows: <delete command> <vnum to delete>
+   -
    keywords : credits
    editor   : Alister
    timestamp: Jan 29 18:16:04
diff -crN nakedmudv2.0/lib/misc/time nakedmudv2.1/lib/misc/time
*** nakedmudv2.0/lib/misc/time	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/lib/misc/time	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,6 ****
! hour        : 23
! day_of_week : 1
! day_of_month: 10
  month       : 1
  year        : 1
  -
--- 1,6 ----
! hour        : 5
! day_of_week : 0
! day_of_month: 24
  month       : 1
  year        : 1
  -
diff -crN nakedmudv2.0/lib/txt/greeting nakedmudv2.1/lib/txt/greeting
*** nakedmudv2.0/lib/txt/greeting	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/lib/txt/greeting	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,5 ****
  {n
!                    NakedMud(tm) v2.0, content-less MUD engine.
  
                                    Created By
                                   Geoff Hollis
--- 1,5 ----
  {n
!                   NakedMud(tm) v2.1, content-less MUD engine.
  
                                    Created By
                                   Geoff Hollis
diff -crN nakedmudv2.0/lib/world/1/mobs nakedmudv2.1/lib/world/1/mobs
*** nakedmudv2.0/lib/world/1/mobs	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/lib/world/1/mobs	2010-11-01 15:54:18.000000000 -0500
***************
*** 15,34 ****
    race      : human
    dialog    : 100
    auxiliary :-
-     combat_state_data:-
-       health      : 100
-       curr_health : 100
-       power       : 100
-       curr_power  : 100
-       control     : 100
-       curr_control: 100
-       defense     : 100
-       curr_defense: 100
-       agility     : 100
-       curr_agility: 100
-       wits        : 100
-       curr_wits   : 100
-       -
      script_aux_data  :-
        scripts:=
          vnum: 195
--- 15,20 ----
***************
*** 54,73 ****
    race      : human
    dialog    : 101
    auxiliary :-
-     combat_state_data:-
-       health      : 100
-       curr_health : 100
-       power       : 100
-       curr_power  : 100
-       control     : 100
-       curr_control: 100
-       defense     : 100
-       curr_defense: 100
-       agility     : 100
-       curr_agility: 100
-       wits        : 100
-       curr_wits   : 100
-       -
      script_aux_data  :-
        scripts:=
          vnum: 141
--- 40,45 ----
***************
*** 90,111 ****
    sex       : 0
    race      : human
    dialog    : 102
-   auxiliary :-
-     combat_state_data:-
-       health      : 100
-       curr_health : 100
-       power       : 100
-       curr_power  : 100
-       control     : 100
-       curr_control: 100
-       defense     : 100
-       curr_defense: 100
-       agility     : 100
-       curr_agility: 100
-       wits        : 100
-       curr_wits   : 100
-       -
-     -
    -
    vnum      : 130
    name      : a barfly
--- 62,67 ----
***************
*** 123,143 ****
    sex       : 0
    race      : human
    dialog    : -1
-   auxiliary :-
-     combat_state_data:-
-       health      : 100
-       curr_health : 100
-       power       : 100
-       curr_power  : 100
-       control     : 100
-       curr_control: 100
-       defense     : 100
-       curr_defense: 100
-       agility     : 100
-       curr_agility: 100
-       wits        : 100
-       curr_wits   : 100
-       -
-     -
    -
  -
--- 79,83 ----
diff -crN nakedmudv2.0/lib/world/1/mobs~ nakedmudv2.1/lib/world/1/mobs~
*** nakedmudv2.0/lib/world/1/mobs~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/lib/world/1/mobs~	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,149 ----
+ list:=
+   vnum      : 100
+   name      : Mysty
+   keywords  : mysty, blonde, waitress
+   rdesc     : A small, buxom blonde is here, serving the tavern patrons.
+   desc      :~
+        She's a rather petite woman - just over five feet.  She has long, curly 
+     blonde hair that hangs down past her shoulders.  Her low-cut, white cotton 
+     shirt reveals her cleavage - and quite a bit of cleavage at that!  She darts 
+     from table to table, always carrying a tray of drinks with amazing balance and 
+     control.  There is always a bounce to her step, and fire in her eyes.  She 
+     seems like she's quite the feisty one.
+   level     : 2
+   sex       : 1
+   race      : human
+   dialog    : 100
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     script_aux_data  :-
+       scripts:=
+         vnum: 150
+         -
+         vnum: 140
+         -
+       -
+     -
+   -
+   vnum      : 101
+   name      : Julesz
+   keywords  : Julesz, bartender, man
+   rdesc     : A handsome, darkhaired man is here, standing behind the bar.
+   desc      :~
+        He is about average height, with short black hair and piercing grey eyes.
+     He has an air about him that screams mischief.  He looks quite preoccupied 
+     pouring drinks, but you notice he never gets too busy to not glance at the 
+     ladies walking by the bar.
+   level     : 2
+   sex       : 0
+   race      : human
+   dialog    : 101
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     script_aux_data  :-
+       scripts:=
+         vnum: 141
+         -
+         vnum: 151
+         -
+       -
+     -
+   -
+   vnum      : 102
+   name      : a gruff looking man
+   keywords  : garod, gruff, man
+   rdesc     : A gruff looking man is here, keeping to himself.
+   desc      :~
+        If surly had a poster child, he would be it.  His face is pocked, and he 
+     has a sour look on his face.  His eyebrows are thick and bushy, and he has 
+     a scraggly beard that looks like it has been growing for a few weeks.  He 
+     has a large, bulbous nose and squinty, black eyes.
+   level     : 1
+   sex       : 0
+   race      : human
+   dialog    : 102
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     -
+   -
+   vnum      : 130
+   name      : a barfly
+   keywords  : barfly
+   rdesc     : A barfly is here, mulling about.
+   desc      :~
+        He is middle aged, and looks like he has led a pretty tough life.  His 
+     hands look strong and calloused.  He might be a miner, or perhaps some kind 
+     of tradesman.  His face is slightly pocked, and his eyebrows are big and 
+     bushy.  He looks a bit too preoccupied with his mug of ale to pay you much 
+     attention.
+   multirdesc: A group of %d barflies are here, mulling about.
+   multiname : a group of %d bar flies
+   level     : 2
+   sex       : 0
+   race      : human
+   dialog    : -1
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     -
+   -
+ -
diff -crN nakedmudv2.0/lib/world/1/objs~ nakedmudv2.1/lib/world/1/objs~
*** nakedmudv2.0/lib/world/1/objs~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/lib/world/1/objs~	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,134 ----
+ list:=
+   vnum      : 100
+   weight    : 1.000000
+   name      : a white cotton shirt
+   keywords  : shirt
+   rdesc     : A revealing, white cotton shirt is lying here.
+   desc      :~
+        It is a white cotton shirt, with a rather low cot v-line that would reveal 
+     qutie a bit.  It is small, and looks lke it was made for a rather petite 
+     woman.
+   multiname : %d white cotton shirts
+   multirdesc: A pile of %d white cotton shirts has formed, here.
+   auxiliary :-
+     type_data      :-
+       types:=
+         type: worn
+         data:-
+           type: shirt
+           -
+         -
+       -
+     -
+   -
+   vnum      : 101
+   weight    : 0.100000
+   name      : a pair of long, dangly earrings
+   keywords  : earrings
+   rdesc     : A pair of long, dangly earrings are lying here.
+   desc      :~
+      They are made of long, dangly strips of green-grey metal, and shimmer 
+     whenever they are turned in the light.
+   multiname : %d sets of long dangly earrings
+   multirdesc: %d pairs of long, dangly earrings are lying here.
+   auxiliary :-
+     type_data      :-
+       types:=
+         type: worn
+         data:-
+           type: earrings
+           -
+         -
+       -
+     -
+   -
+   vnum      : 120
+   weight    : 80.000000
+   name      : a wooden table
+   keywords  : table
+   rdesc     : An empty table is here.
+   desc      :~
+        It is made of wood, and is circular.  It stands about four feet off 
+     the ground, and has a few chairs seated around it.  It looks like it 
+     could seat about four or five people at it.
+   multiname : %d wooden tables
+   multirdesc: There are %d empty tables scattered around.
+   auxiliary :-
+     type_data      :-
+       types:=
+         type: furniture
+         data:-
+           capacity: 5
+           type    : 0
+           -
+         -
+       -
+     -
+   -
+   vnum      : 130
+   weight    : 500.000000
+   name      : the bar
+   keywords  : bar
+   rdesc     : A long bar counter is here, lined with seats.
+   desc      :~
+        It is about twenty feet long, and it is lined with stools.  It is made 
+     out of a polished, dark wood.
+   auxiliary :-
+     type_data      :-
+       types:=
+         type: furniture
+         data:-
+           capacity: 9
+           type    : 0
+           -
+         -
+       -
+     -
+   -
+   vnum      : 140
+   weight    : 0.100000
+   name      : a small leather coin pouch
+   keywords  : pouch
+   rdesc     : A small leather coin pouch is here.
+   desc      :~
+        It's small - probably big enough to fit in the palm of your hand.  It 
+     is made of an old, dark leather and it has a frayed drawstring to seal 
+     it shut.  It looks like it could hold a fair share of coins in it.
+   multiname : a collection of %d leather coin pouches
+   multirdesc: A collection of %d leather coin pouches is here.
+   edescs    :-
+     list:=
+       keywords: drawstring
+       desc    :~
+            It looks to be made of a group of tightly wound, interconnecting 
+         threads.  It is a bit frayed, but looks quite durable.
+       -
+     -
+   auxiliary :-
+     type_data      :-
+       types:=
+         type: container
+         data:-
+           capacity : 2.000000
+           key      : -1
+           pick_diff: 0
+           closable : 1
+           closed   : 0
+           locked   : 0
+           -
+         -
+       -
+     -
+   -
+   vnum      : 141
+   weight    : 0.200000
+   name      : a pint of ale
+   keywords  : pintglass, glass, ale
+   rdesc     : A pint of ale has been left here.
+   desc      :~
+        It looks like a typical pint glass.  Its base is a bit smaller than its 
+     top, and it has a little bulge about four fifths of the way up the glass.
+   multiname : %d pints of ale
+   multirdesc: %d pints of ale are scattered about.
+   -
+ -
diff -crN nakedmudv2.0/lib/world/1/rooms~ nakedmudv2.1/lib/world/1/rooms~
*** nakedmudv2.0/lib/world/1/rooms~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/lib/world/1/rooms~	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,211 ----
+ list:=
+   desc     :~
+        This looks like quite the popular place; many tables are scattered around 

+     the tavern.  Groups of people huddle around them.  Some chat amongst 

+     themselves, some are playing card and dice games, and others are simply 

+     watching the entertainment stage to the north.  The bar is to the south.

+     People are lined up all along it, but you can spot a few open seats.  There 

+     are also a couple empty tables scattered throughout the tavern.  To the north, 

+     you see a small entertainment stage which seems to be attracting quite the 

+     crowd.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+         vnum: 100
+         -
+       -
+     -
+   terrain  : 0
+   vnum     : 100
+   name     : Within a Tavern
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+          The entertainment stage is directly to your north.  Quite a few people have 

+       gathered around it, and it looks like there is a performance going on.

+     closable  : 0
+     enter     : 
+     direction : north
+     hide_level: 0
+     to        : 102
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+        You see a rather crowded bar to the south.  There are still a couple of 

+       stools left, but it looks to be filling up fast.

+     closable  : 0
+     enter     : 
+     direction : south
+     hide_level: 0
+     to        : 101
+     leave     : $n makes $s way to the bar.
+     name      : going to the bar
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+          The light does not really get to that corner of the tavern.  A few people 

+       sit around tables, but most of them appear to be alone and not wanting any 

+       company.

+     closable  : 0
+     enter     : 
+     direction : southwest
+     hide_level: 0
+     to        : 103
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+   desc     :~
+        The bar is fairly busy, but you notice a couple of stools left unoccupied.

+     Servers come past now and then, picking up trays of drinks for their 

+     customers.  Most of the customers at the bar seem to be older on in the years, 

+     paying more attention to their drinks than to the crowd.  The bartenders all 

+     seem to be busy with preparing drinks for the customers.  A crowd seems to be 

+     gathering to the north, by the entertainment stage.  It looks like there is 

+     some sort of performance going on.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+         vnum: 101
+         -
+       -
+     -
+   terrain  : 0
+   vnum     : 101
+   name     : At the Bar
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+          There are various tables scattered about, occupied by groups of people.  At 

+       the northern end of the tavern, you see a small entertainment stage which 

+       seems to have gathered quite the crowd.

+     closable  : 0
+     enter     : 
+     direction : north
+     hide_level: 0
+     to        : 100
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+          The light does not really get to that corner of the tavern.  A few people 

+       sit around tables, but most of them appear to be alone and not wanting any 

+       company.

+     closable  : 0
+     enter     : 
+     direction : west
+     hide_level: 0
+     to        : 103
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+   desc     :~
+     This room was created by Alister.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   terrain  : 0
+   vnum     : 102
+   name     : By the Stage
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+        Tables are scattered about.  Most of them have groups of people sitting at 

+       them.  At the south end of the tavern, you see the bar.

+     closable  : 0
+     enter     : 
+     direction : south
+     hide_level: 0
+     to        : 100
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+   desc     :~
+        The light is much more dim in here than it is in the rest of the tavern.

+     There are also quite a few less people sitting in this area of the tavern.

+     Most that are seem to be keeping to themselves, and don't appear to want 

+     much to do with strangers.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   terrain  : 0
+   vnum     : 103
+   name     : A Poorly Lit Corner
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+          To the east, you see the bar.  It looks like it is starting to fill up 

+       quick, but you spot a couple open stools.  The bartenders look like they are 

+       quite busy with all the customers.

+     closable  : 0
+     enter     : 
+     direction : east
+     hide_level: 0
+     to        : 101
+     leave     : $n makes $s way towards the bar.
+     name      : 
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+          There are various tables scattered about, occupied by groups of people.  At 

+       the northern end of the tavern, you see a small entertainment stage which 

+       seems to have gathered quite the crowd.

+     closable  : 0
+     enter     : 
+     direction : northeast
+     hide_level: 0
+     to        : 100
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+ -
diff -crN nakedmudv2.0/lib/world/1/scripts nakedmudv2.1/lib/world/1/scripts
*** nakedmudv2.0/lib/world/1/scripts	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/lib/world/1/scripts	2010-11-01 15:54:18.000000000 -0500
***************
*** 162,167 ****
--- 162,195 ----
      if obj != None and ch.on == None and obj.vnum == 130:
        me.act("delay 1 say what can I get for you? If you'd like to know what we have on tap, please ask")
    -
+   vnum: 194
+   type: 7
+   narg: 1
+   name: Runnable script example
+   code:~
+     # Scripts aren't only triggers. Scripts can also be run as if they were
+     # their own little programs within the MUD. A script that is of type
+     # runnable can be activated by any immortal of a high enough level by using
+     # the _scrun_ command. scrun needs the vnum of the script to run, and an
+     # optional argument afterward, but that is only neccessary if the script
+     # dictates it. The following script takes in an argument, and sends it to
+     # everyone in the mud
+     #
+     # usage: scrun <script vnum> [argument]
+     
+     # first, make sure that we have an argument
+     if arg == None or arg == '':
+       me.send("What did you want to say to everyone?")
+     
+     # Ok, we have a message. Now say it to everyone
+     else:
+       for ch in all_chars():
+         if ch != me:
+           ch.send(me.name + " says, '" + arg + "'")
+     
+     # now tell ourself that it's all done
+     me.send("Message sent to everyone")
+   -
    vnum: 195
    type: 1
    narg: 0
diff -crN nakedmudv2.0/lib/world/1/zone~ nakedmudv2.1/lib/world/1/zone~
*** nakedmudv2.0/lib/world/1/zone~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/lib/world/1/zone~	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,10 ----
+ pulse_timer: -1
+ editors    : Alister
+ max        : 199
+ desc       :~
+      The ambition of this zone is to act as a repository for "proofs of 

+   concept".  Hopefully, there will be enough examples in this zone to act as a 

+ name       : The "Proof of Concept" zone
+ vnum       : 1
+ min        : 100
+ -
diff -crN nakedmudv2.0/log/Apr 24.log nakedmudv2.1/log/Apr 24.log
*** nakedmudv2.0/log/Apr 24.log	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/log/Apr 24.log	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,72 ----
+ Apr 24 23:10:10: Initializing MUD settings.
+ Apr 24 23:10:10: Preparing auxiliary data for usage.
+ Apr 24 23:10:10: Initializing bitvectors.
+ Apr 24 23:10:10: Initializing races and default bodies.
+ Apr 24 23:10:10: Initializing command table.
+ Apr 24 23:10:10: Initializing action handler.
+ Apr 24 23:10:10: Initializing event handler.
+ Apr 24 23:10:10: Initializing logging system.
+ Apr 24 23:10:10: Initializing item types.
+ Apr 24 23:10:10: Initializing editor.
+ Apr 24 23:10:10: Initializing character variables.
+ Apr 24 23:10:10: Initializing OLC v2.0.
+ Apr 24 23:10:10: Initializing set utility.
+ Apr 24 23:10:10: Initializing scripts.
+ Apr 24 23:10:10: Initializing aliases.
+ Apr 24 23:10:10: Initializing game time.
+ Apr 24 23:10:10: Initializing socials.
+ Apr 24 23:10:10: Initializing helpfiles.
+ Apr 24 23:10:10: Loading gameworld.
+ Apr 24 23:10:10: Force-resetting world
+ Apr 24 23:10:10: Initializing sockets.
+ Apr 24 23:10:10: Entering game loop
+ Apr 24 23:10:18: Alister is trying to connect.
+ Apr 24 23:10:21: Alister has entered the game.
+ Apr 24 23:11:44: Program terminated without errors.
+ Apr 24 23:12:38: Initializing MUD settings.
+ Apr 24 23:12:38: Preparing auxiliary data for usage.
+ Apr 24 23:12:38: Initializing bitvectors.
+ Apr 24 23:12:38: Initializing races and default bodies.
+ Apr 24 23:12:38: Initializing command table.
+ Apr 24 23:12:38: Initializing action handler.
+ Apr 24 23:12:38: Initializing event handler.
+ Apr 24 23:12:38: Initializing logging system.
+ Apr 24 23:12:38: Initializing item types.
+ Apr 24 23:12:38: Initializing editor.
+ Apr 24 23:12:38: Initializing character variables.
+ Apr 24 23:12:38: Initializing OLC v2.0.
+ Apr 24 23:12:38: Initializing set utility.
+ Apr 24 23:12:38: Initializing scripts.
+ Apr 24 23:12:38: Initializing aliases.
+ Apr 24 23:12:38: Initializing game time.
+ Apr 24 23:12:38: Initializing socials.
+ Apr 24 23:12:38: Initializing helpfiles.
+ Apr 24 23:12:38: Loading gameworld.
+ Apr 24 23:12:38: Force-resetting world
+ Apr 24 23:12:38: Initializing sockets.
+ Apr 24 23:12:38: Entering game loop
+ Apr 24 23:13:07: Initializing MUD settings.
+ Apr 24 23:13:07: Preparing auxiliary data for usage.
+ Apr 24 23:13:07: Initializing bitvectors.
+ Apr 24 23:13:07: Initializing races and default bodies.
+ Apr 24 23:13:07: Initializing command table.
+ Apr 24 23:13:07: Initializing action handler.
+ Apr 24 23:13:07: Initializing event handler.
+ Apr 24 23:13:07: Initializing logging system.
+ Apr 24 23:13:07: Initializing item types.
+ Apr 24 23:13:07: Initializing editor.
+ Apr 24 23:13:07: Initializing character variables.
+ Apr 24 23:13:07: Initializing OLC v2.0.
+ Apr 24 23:13:07: Initializing set utility.
+ Apr 24 23:13:07: Initializing scripts.
+ Apr 24 23:13:07: Initializing aliases.
+ Apr 24 23:13:07: Initializing game time.
+ Apr 24 23:13:07: Initializing socials.
+ Apr 24 23:13:07: Initializing helpfiles.
+ Apr 24 23:13:07: Loading gameworld.
+ Apr 24 23:13:07: Force-resetting world
+ Apr 24 23:13:07: Initializing sockets.
+ Apr 24 23:13:07: Entering game loop
+ Apr 24 23:13:14: Alister is trying to connect.
+ Apr 24 23:13:17: Read_from_socket: EOF
+ Apr 24 23:13:17: Closing link to Alister
Binary files nakedmudv2.0/log/.DS_Store and nakedmudv2.1/log/.DS_Store differ
diff -crN nakedmudv2.0/src/alias/alias.c nakedmudv2.1/src/alias/alias.c
*** nakedmudv2.0/src/alias/alias.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/alias/alias.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 15,28 ****
  
  #include "alias.h"
  
- // how many buckets are in the alias hashtable?
- #define ALIAS_TABLE_SIZE           10
  
  
  //*****************************************************************************
- //
  // auxiliary data
- //
  //*****************************************************************************
  typedef struct alias_aux_data {
    HASHTABLE *aliases;
--- 15,24 ----
***************
*** 36,42 ****
    // Hashtables can take up lots of storage space. Because of this, let's
    // not create any tables until it's actually needed. This will cut down
    // on lots of memory usage w.r.t. NPCs who do not use aliases
!   //  data->aliases        = newHashtable(ALIAS_TABLE_SIZE);
    //
    data->aliases        = NULL;
    return data;
--- 32,38 ----
    // Hashtables can take up lots of storage space. Because of this, let's
    // not create any tables until it's actually needed. This will cut down
    // on lots of memory usage w.r.t. NPCs who do not use aliases
!   //  data->aliases        = newHashtable();
    //
    data->aliases        = NULL;
    return data;
***************
*** 106,112 ****
      return newAliasAuxData();
  
    ALIAS_AUX_DATA *data   = newAliasAuxData();
!   data->aliases          = newHashtable(ALIAS_TABLE_SIZE);
    STORAGE_SET_LIST *list = read_list(set, "aliases");
    STORAGE_SET *var       = NULL;
  
--- 102,108 ----
      return newAliasAuxData();
  
    ALIAS_AUX_DATA *data   = newAliasAuxData();
!   data->aliases          = newHashtable();
    STORAGE_SET_LIST *list = read_list(set, "aliases");
    STORAGE_SET *var       = NULL;
  
***************
*** 149,155 ****
    ALIAS_AUX_DATA *data = charGetAuxiliaryData(ch, "alias_aux_data");
    // if our alias table is NULL, create a new one
    if(data->aliases == NULL)
!     data->aliases = newHashtable(ALIAS_TABLE_SIZE);
  
    // pull out the last one
    char *oldcmd = hashRemove(data->aliases, alias);
--- 145,151 ----
    ALIAS_AUX_DATA *data = charGetAuxiliaryData(ch, "alias_aux_data");
    // if our alias table is NULL, create a new one
    if(data->aliases == NULL)
!     data->aliases = newHashtable();
  
    // pull out the last one
    char *oldcmd = hashRemove(data->aliases, alias);
